LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-13-2010, 11:36 PM   #1
fernfrancis
Member
 
Registered: Feb 2009
Location: Goa(India)-Sharjah(UAE)
Distribution: RHEL,centos,fedora,ubuntu
Posts: 229

Rep: Reputation: 18
php-oci8 installation


hi
i am having a issue installing php-oci8. I am using a cesntos 5.5 OS

when i try installing php-oci8 i get this error
[root@web8 tmp]# rpm -ivh php-oci8-5.2.14-1.el5.remi.x86_64.rpm
warning: php-oci8-5.2.14-1.el5.remi.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 00f97f56
error: Failed dependencies:
php-common = 5.2.14-1.el5.remi is needed by php-oci8-5.2.14-1.el5.remi.x86_64

so then i checked whether i have php-common 5.2.14 installed it yielded this result

[root@web8 tmp]# rpm -qa php-common
php-common-5.2.14-jason.1

i dont understand why php-oci is not getting installed even though php-common is present.
 
Old 12-14-2010, 03:40 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,310

Rep: Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173Reputation: 3173
Suggest : Use the remi.repo
http://rpms.famillecollet.com/enterp...-release-5.rpm
> remi-release-5.rpm
And then do : # yum install php-oci8


And if everything fails :
As the yum dependency mechanism is only 99.9% reliable, this can be used:
rpm -Uvh --nodeps php-oci8-5.2.14-1.el5.remi.x86_64.rpm
.... Will only work, if you have a 64 Bits OS !


A comment :
"rpm -ivh" is for special occasions.
The standard install command, used by Yum and the Package Manager is
# rpm -Uvh

..
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
php compilation with oci8 gone wrong goethe Linux - Software 1 06-06-2010 01:44 PM
how to configure php-5.1.4 with oci8 for Oracle9i jimmyjiang Red Hat 2 11-10-2006 07:53 AM
php with oci8 nightmare mariogomide Programming 1 01-31-2006 10:51 PM
How to rebuild php rpm package for oci8 in RHLE 4.0 nui Linux - Enterprise 2 08-01-2005 02:18 AM
Help with OCI8/PHP APACHE on Redhat enterprise AS 3.0 pdave Linux - Software 0 07-21-2004 10:12 AM


All times are GMT -5. The time now is 01:46 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration